You are viewing the PKP Support Forum | PKP Home Wiki

Can't register our OJS server with Harvester2

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

Can't register our OJS server with Harvester2

Postby nrj » Wed Mar 21, 2007 2:52 pm

Our OJS says:

Click here and enter http://www.uic.edu/htbin/cgiwrap/bin/oj ... ournal=bsi under Site URL, and http://www.uic.edu/htbin/cgiwrap/bin/oj ... i&page=oai under Base URL for OAI Archive.

Harvester2 doesn't like the base URL.

We have some local security that seems to interfere with permissions from time to time, and I can't tell if it's a permissions problem. We also have an xml-php problem (our OJS is on a shared server farm and one of the servers doesn;t have xml in its compile of php) but I've ruled that problem out I think.

When I execute the URL myself, I get the following from Firefox:

This XML file does not appear to have any style information associated with it. The document tree is shown below.

−<OAI-PMH xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/ http://www.openarchives.org/OAI/2.0/OAI-PMH.xsd">
<error code="badVerb">Illegal OAI verb</error>

Finally, I'm not the tech person on the installation, I'm just the one who cares about getting these things fixed!


Posts: 20
Joined: Mon Feb 06, 2006 2:55 pm

Postby asmecher » Wed Mar 21, 2007 3:05 pm

Hi Nancy,

Are you using an older version of OJS? There was an issue with the OAI interface in OJS versions older than 2.1.1 in situations where path_info_disabled is used, which appears to be the situation you're in. If you're using an older version, please upgrade to 2.1.1.

Alec Smecher
Open Journal Systems Team
Don't miss the First International PKP Scholarly Publishing Conference
July 11 - 13, 2007, Vancouver, BC, Canada
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Same happened to me, but...

Postby mbria » Wed May 16, 2007 5:11 am


Same happened to me but isn't an OJS bug, it's just that we don't read :-)

When I requested:
http://psicologiasocial.uab.es/athenea/ ... gital/oai/

I got the same
Code: Select all
<OAI-PMH xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/   http://www.openarchives.org/OAI/2.0/OAI-PMH.xsd">
<error code="badVerb">Illegal OAI verb</error>

So, OJS is right... I missed to include a VERB:

http://psicologiasocial.uab.es/athenea/ ... b=Identify

And voilà... once again OJS rulezzz !!


Posts: 352
Joined: Wed Dec 14, 2005 4:15 am

Return to OJS Technical Support

Who is online

Users browsing this forum: Bing [Bot] and 7 guests